Summary:	Text mode CD player for Linux
Summary(pl.UTF-8):	Odtwarzacz płyt CD dla Linuksa
Name:		adcd
Version:	1.10
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://download.savannah.gnu.org/releases/adcd/%{name}-%{version}.tar.lz
# Source0-md5:	b8e7cb8416701b1ee536b50140e52600
URL:		http://www.nongnu.org/adcd/adcd.html
BuildRequires:	libstdc++-devel >= 5:3.3
BuildRequires:	lzip
BuildRequires:	ncurses-devel >= 5
BuildRequires:	tar >= 1:1.22
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Adcd is a text mode CD player for Linux. It features all the functions
expected in a compact disc player, including playing selected tracks,
random playing, and continuous playing.

%description -l pl.UTF-8
Adcd jest działającym w trybie tekstowym odtwarzaczem płyt CD dla
Linuksa. Posiada wszystkie funkcje, jakich można się spodziewać po
odtwarzaczu płyt kompaktowych, włączając w to odtwarzanie wybranych
bądź losowych ścieżek czy ciągłe odtwarzanie.

%prep
%setup -q

%build
# not autoconf-generated
./configure \
	CXX="%{__cxx}" \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses" \
	CXXFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}" \
	--prefix=%{_prefix}

%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix="%{_prefix}" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%lang(es) %doc LEEME
%attr(755,root,root) %{_bindir}/adcd
%{_mandir}/man1/adcd.1*
%changelog
* Sat Jun 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/adcd.git;a=log;h=master

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> d04b004
- updated to 1.10

* Thu Mar 19 2009 duddits <duddits@pld-linux.org> 9673416
- up to 0.9
- some sed magic added to satisfy dependencies

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a52943a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> acecde1
- converted to UTF-8

* Sun Apr 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 15db23a
- updated to 0.7

* Sun Feb 26 2006 Marcin Banasiak <marcin.banasiak@gmail.com> eddb802
- up to 0.6

* Tue Jun 14 2005 misi3k <misi3k@pld-linux.org> 3c3ab65
- up to 0.5

* Sun Jan 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 560eee7
- comment LEEME as lang(es)

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> cbee589
- proper License (GPL v2)
- fixed Group (Applications/Sound as is in cdplayer.spec)
- dropped COPYING and INSTALL from %%doc

* Sun Jan 09 2005 Adam Gołębiowski <adamg@pld-linux.org> 2e99f3e
- new

